> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Credentials

> List all credentials for a user.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
✅ Delegated User (`EndUser`)\
❌ Service Account

#### Required Permissions

No permission required.


## OpenAPI

````yaml /openapi.yaml get /auth/credentials
openapi: 3.1.0
info:
  version: 1.880.1
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /auth/credentials:
    get:
      tags:
        - Auth
      summary: List Credentials
      description: List all credentials for a user.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Credential'
                    description: Current page items.
                required:
                  - items
      security:
        - authenticationToken: []
components:
  schemas:
    Credential:
      type: object
      properties:
        kind:
          type: string
          enum:
            - Fido2
            - Key
            - Password
            - Totp
            - RecoveryKey
            - PasswordProtectedKey
        credentialId:
          type: string
          description: Credential ID from the WebAuthn authenticator (base64url).
        credentialUuid:
          type: string
          description: Dfns-internal UUID of the credential.
        dateCreated:
          type: string
          format: date-time
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date (must be
            UTC). Date the credential was created.
          example: '2023-04-14T20:41:28.715Z'
        isActive:
          type: boolean
          description: Whether the credential is active.
        name:
          type: string
          description: Human-readable name of the credential.
        publicKey:
          type: string
          description: Public key of the credential.
        relyingPartyId:
          type: string
          description: Relying party identifier associated with the credential.
        origin:
          type: string
          description: Origin where the credential was created.
      required:
        - kind
        - credentialId
        - credentialUuid
        - dateCreated
        - isActive
        - name
        - publicKey
        - relyingPartyId
        - origin
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````